org.h2.mvstore

## Class Page.PageReference<K,V>

- java.lang.Object
- - org.h2.mvstore.Page.PageReference<K,V>

Enclosing class:
  Page<K,V>

    public static final class Page.PageReference<K,V>
    extends java.lang.Object

A pointer to a page, either in-memory or using a page position.

### Constructor Summary

Constructors
Constructor and Description
`PageReference(Page<K,V> page)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <X,Y> Page.PageReference<X,Y>` `empty()` Get an empty page reference.
`Page<K,V>` `getPage()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageReference

    public PageReference(Page<K,V> page)

### Method Detail

#### empty

    public static <X,Y> Page.PageReference<X,Y> empty()

Get an empty page reference.

Type Parameters:
  `X` - the key class
  `Y` - the value class
Returns:
  the page reference

#### getPage

    public Page<K,V> getPage()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`